# bdm::mpdf Class Reference

Conditional probability density, e.g. modeling some dependencies. More...

`#include <libBM.h>`

List of all members.

## Public Member Functions
Constructors
| mpdf ()
| mpdf (const mpdf &m)
| copy constructor does not set pointer `ep` - has to be done in offsprings!
Matematical operations
virtual vec | samplecond (const vec &cond)
| Returns a sample from the density conditioned on `cond`, .
virtual mat | samplecond_m (const vec &cond, int N)
| Returns.
virtual void | condition (const vec &cond)
| Update `ep` so that it represents this mpdf conditioned on `rvc` = cond.
virtual double | evallogcond (const vec &dt, const vec &cond)
| Shortcut for conditioning and evaluation of the internal epdf. In some cases, this operation can be implemented efficiently.
virtual vec | evallogcond_m (const mat &Dt, const vec &cond)
| Matrix version of evallogcond.
Access to attributes
RV | _rv ()
RV | _rvc ()
int | dimension ()
int | dimensionc ()
epdf & | _epdf ()
epdf * | _e ()
Connection to other objects
void | set_rvc (const RV &rvc0)
void | set_rv (const RV &rv0)
bool | isnamed ()
## Protected Attributes
int | dimc
| dimension of the condition
RV | rvc
| random variable in condition
epdf * | ep
| pointer to internal epdf

## Detailed Description

Conditional probability density, e.g. modeling some dependencies.

## Member Function Documentation

virtual vec bdm::mpdf::samplecond | ( | const vec & | cond | ) | `[inline, virtual]`

Returns a sample from the density conditioned on `cond`, .

Parameters:

  | cond | is numeric value of `rv`

Reimplemented in bdm::mprod.

References condition(), ep, and bdm::epdf::sample().

Referenced by bdm::MPF< BM_T >::bayes(), bdm::PF::bayes(), and bdm::ArxDS::step().

virtual mat bdm::mpdf::samplecond_m | ( | const vec & | cond,
|  | int | N |
| ) |  |  | `[inline, virtual]`

Returns.

Parameters:

  | N | samples from the density conditioned on `cond`, .
  | cond | is numeric value of `rv`

References condition(), bdm::epdf::dimension(), ep, and bdm::epdf::sample().

The documentation for this class was generated from the following file:

- libBM.h